package com.huifu.adapay;

import android.app.Activity;

import com.huifu.adapay.beans.requestbean.BaseReqBean;
import com.huifu.adapay.network.PayNetWorkCallback;
import com.huifu.adapay.network.PayRequest;
import com.huifu.adapay.widgets.DialogManager;

class TradeRequest {

    static void requestPayment(Activity activity, String amount, String payType, String authCode, PayNetWorkCallback netWorkCallback) {
        BaseReqBean reqean = new BaseReqBean();
        reqean.setPay_amt(amount);
        reqean.setApp_id(Config.getAppId());
        reqean.setGoods_desc("测试商品");
        reqean.setGoods_title("测试商品");
        reqean.setPay_channel(payType);
        reqean.setEnv(Config.env);
        reqean.setProd_mode(Config.livemode);
        BaseReqBean.Expend extra = new BaseReqBean.Expend();
        extra.setAuth_code(authCode);
        reqean.setExpend(extra);

        DialogManager.showDialog(activity, true);
        new PayRequest.RequestBuilder()
                .setReqBean(reqean)
                .setUrl(Config.CREATE_PAYMENT)
                .setNetWorkCallback(netWorkCallback)
                .build()
                .post();
    }

    static void requestPayment(Activity activity, String amount, String payType, PayNetWorkCallback netWorkCallback) {
        requestPayment(activity, amount, payType, "", netWorkCallback);
    }

    /**
     * 请求不通付款方式订单信息
     */
    static void requestPayment(Activity activity, String payType, PayNetWorkCallback netWorkCallback) {
        requestPayment(activity, "0.01", payType, netWorkCallback);
    }
}
